Bug 1494188 - python-pymongo: FTBFS in Fedora rawhide
Summary: python-pymongo: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pymongo
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Marek Skalický
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-21 15:45 UTC by Marek Skalický
Modified: 2017-11-28 23:46 UTC (History)
6 users (show)

Fixed In Version: python-pymongo-3.4.0-6.fc26 python-pymongo-3.5.1-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 16:19:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Marek Skalický 2017-09-21 15:45:22 UTC
Description of problem:
Package python-pymongo fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
3.4.0-5.fc27

Steps to Reproduce:
koji build --scratch f28 python-pymongo-3.4.0-5.fc27.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/python-pymongo

Comment 1 Marek Skalický 2017-09-21 15:54:46 UTC
It fails also for f26 and f27.

I need it fixed ASAP to be able to build mongodb module.

Or give me commit access to the repo and I can try to fix it.

Comment 2 Randy Barlow 2017-09-21 17:30:35 UTC
Hi Marek!

I only maintain pymongo on the side and not as part of my day job, so I haven't had time to get to this one just yet. However, I accept your generous offer and I've given you commit access on the repo. Thanks!

Comment 3 Fedora Update System 2017-09-22 08:31:38 UTC
python-pymongo-3.4.0-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cbbddc15e1

Comment 4 Marek Skalický 2017-09-22 08:34:34 UTC
Thanks Randy,

I've fixed this by applying patch from upstream in F26

https://github.com/mongodb/mongo-python-driver/commit/7306834f915ef9d276aec439eadece93564b5d13#diff-a17f3531c6ca8441f51f813407197fca

or rebasing to newer upstream release which has this fix in newer Fedora releases.

Comment 5 Fedora Update System 2017-09-22 08:59:02 UTC
python-pymongo-3.5.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92be42ad4d

Comment 6 Fedora Update System 2017-09-22 17:53:57 UTC
python-pymongo-3.5.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92be42ad4d

Comment 7 Fedora Update System 2017-09-23 00:27:55 UTC
python-pymongo-3.4.0-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cbbddc15e1

Comment 8 Randy Barlow 2017-09-23 16:45:05 UTC
Thanks Marek, I certainly appreciate the help and that patch looks fine to me.

Comment 9 Fedora Update System 2017-11-28 16:19:30 UTC
python-pymongo-3.4.0-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-11-28 23:46:26 UTC
python-pymongo-3.5.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.